Bug 11047 - 0305- lilo failed to install if md raid created
: 0305- lilo failed to install if md raid created
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lilo)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-10 19:31 by
Modified: 2012-03-16 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-10 19:31:55
Если взять (я делал в qemu) два образа диска, подключить их как hda & hdb,
создать на шаге 4 из них md raid (нетривиальная операция :), и перейти к шагу
5,
где ставится загрузчик (lilo), то .. показываются по умолчанию все равно
отдельные диски (raid уже создан)
если:

 - ставить на md0 (как это по смыслу надо), то надо ткнуть в show partitions,
выбираем md0, и получаем сообщение
lilo test: fatal: is_primary: not a valid device 0xFD00 

 - ладно, поставим на отдельный раздел (hda, hdb..) при попытке выдается:
lilo test: fatal: linux experimental device 0xFD00 needs to be defined
(проконсультируйтесь в мане насчет disk= и max-partitions= )

в результате пройти дальше невозможно (не ставит ни так ни этак)
------- Comment #1 From 2007-03-10 20:15:08 -------
а вот сообщения при попытке установки на lvm

lilo test: fatal: device-mapper: mapped device suddenly lost ? (64769)

в обоих случаях - что на созданный lvm-раздел, что на стоящий рядом в окне  hda/hdb
------- Comment #2 From 2007-03-11 17:31:44 -------
Это проблема lilo и ты вроде бы мог видеть на #altlinux, что Серж взялся за
неё.
------- Comment #3 From 2007-03-11 18:13:21 -------
Date: Fri, 9 Mar 2007 16:54:21 +0300
Subject: Re: [sisyphus] Серверный инсталлер и установка на softraid

> >>>Пробую ставить на VMware Server 1.0.1 build-29996, конфигурация - 2 SCSI 
> >>>диска по 10G. Сделал по 2 раздела, sda1/sdb1 объединил в raid0 (md0) и 
> >>>отдал под swap, sda2/sdb2 объединил в raid1 (md1) и отдал под / . Все 
> >>>установилось, далее на этапе 5/11 Bootloader settings выбираю Show 
> >>>partitions, указываю md/md1, Forward - и все зависает навсегда :(
> >>>
> >>>Это еще не работает, или я что-то неправильно делаю? Другой вопрос: есть 
> >>>ли возможность в инсталляторе указать raid-extra-boot?
> >>>
> >>
> >>Насколько я в курсе - lilo пока ещё не побороли на тему / на raid.
> >>
> >>Даже не сколько /, а сколько /boot
> > 
> > 
> > И не столько /boot, сколько dm_mod.
> 
> Можно коротко, в чем суть проблемы? Гугл вывел на 
> https://bugzilla.altlinux.org/show_bug.cgi?id=9958, но, как я понимаю, 
> lilo сам прекрасно видит содержимое разделов raid1, или это уже не тот 
> raid1, или dm_mod, загруженный инсталлером, ему мешает?

См. http://lists.altlinux.org/pipermail/devel/2007-February/041858.html

-- 
ldv

--------------------------------------------------------------------
From: Sergey Bolshakov

Прбдема в следующем: md-устройство после /vm собрано из
device-mapper'ных разделов (в случае raid из разделов).
Наше lilo не умеет установиться на такой raid. in progress.
------- Comment #4 From 2007-03-18 00:00:35 -------
*** Bug 11132 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2007-03-18 01:13:28 -------
Ещё немного информации есть по адресу
https://bugzilla.altlinux.org/show_bug.cgi?id=11132
------- Comment #6 From 2007-04-07 00:16:12 -------
fixed in 22.7.3-alt5